      SUBROUTINE DATJACK(N,X,XJ) ! Bernd Berg, Dec 15 2000.
C CALCULATION OF  N  JACKKNIFE BINS  XJ(N)  FOR  N  DATA IN  X(N).        
      include '../../Libs/Fortran/implicit.sta'
      include '../../Libs/Fortran/constants.par'
      DIMENSION X(N),XJ(N)
      XSUM=ZERO
      DO I=1,N
        XSUM=XSUM+X(I)
      ENDDO
      FACTOR=ONE/(N-1)
      DO I=1,N
        XJ(I)=FACTOR*(XSUM-X(I))
      ENDDO
      RETURN
      END
